--- a/squashfs-tools/Makefile
+++ b/squashfs-tools/Makefile
@@ -7,6 +8,9 @@ all: mksquashfs unsquashfs
 mksquashfs: mksquashfs.o read_fs.o sort.o
 	$(CC) mksquashfs.o read_fs.o sort.o -lz -o $@
 
+mksquashfs-lzma: mksquashfs.o read_fs.o sort.o
+	$(CXX) mksquashfs.o read_fs.o sort.o -L$(LZMAPATH) -llzma-old -o $@
+
 mksquashfs.o: mksquashfs.c squashfs_fs.h mksquashfs.h global.h sort.h
 
 read_fs.o: read_fs.c squashfs_fs.h read_fs.h global.h
@@ -16,4 +20,9 @@ sort.o: sort.c squashfs_fs.h global.h so
 unsquashfs: unsquashfs.o
 	$(CC) unsquashfs.o -lz -o $@
 
+unsquashfs-lzma: unsquashfs.o
+	$(CXX) unsquashfs.o -L$(LZMAPATH) -llzma-old -o $@
+
 unsquashfs.o: unsquashfs.c squashfs_fs.h read_fs.h global.h
+
+clean:
